## dods.dap.parser
Interface ExprParserConstants

All Known Implementing Classes:
  ExprParser, ExprParserTokenManager, Operator, SDBoolean, SDByte, SDFloat32, SDFloat64, SDInt16, SDInt32, SDString, SDUInt16, SDUInt32, SDURL

public interface ExprParserConstants

Field Summary
`static int` `AMPERSAND`
`static int` `ASTERISK`
`static int` `COLON`
`static int` `COMMA`
`static int` `DEFAULT`
`static int` `EOF`
`static int` `EQUAL`
`static int` `EXPONENT`
`static int` `FLOAT`
`static int` `GREATER`
`static int` `GREATER_EQL`
`static int` `ID`
`static int` `INT`
`static int` `LBRACE`
`static int` `LBRACKET`
`static int` `LESS`
`static int` `LESS_EQL`
`static int` `LPAREN`
`static int` `MANTISSA`
`static int` `NOT_EQUAL`
`static int` `QUOTED_STR`
`static int` `RBRACE`
`static int` `RBRACKET`
`static int` `REGEXP`
`static int` `RPAREN`
`static int` `SEPARATOR`
`static int` `STR`
`static String[]` `tokenImage`
`static int` `UNQUOTED_STR`
`static int` `UNTERM_QUOTE`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NOT_EQUAL

    public static final int NOT_EQUAL

See Also:
  Constant Field Values

### GREATER

    public static final int GREATER

See Also:
  Constant Field Values

### GREATER_EQL

    public static final int GREATER_EQL

See Also:
  Constant Field Values

### LESS

    public static final int LESS

See Also:
  Constant Field Values

### LESS_EQL

    public static final int LESS_EQL

See Also:
  Constant Field Values

### REGEXP

    public static final int REGEXP

See Also:
  Constant Field Values

### LBRACKET

    public static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    public static final int RBRACKET

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### AMPERSAND

    public static final int AMPERSAND

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### LBRACE

    public static final int LBRACE

See Also:
  Constant Field Values

### RBRACE

    public static final int RBRACE

See Also:
  Constant Field Values

### SEPARATOR

    public static final int SEPARATOR

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### MANTISSA

    public static final int MANTISSA

See Also:
  Constant Field Values

### EXPONENT

    public static final int EXPONENT

See Also:
  Constant Field Values

### STR

    public static final int STR

See Also:
  Constant Field Values

### UNQUOTED_STR

    public static final int UNQUOTED_STR

See Also:
  Constant Field Values

### QUOTED_STR

    public static final int QUOTED_STR

See Also:
  Constant Field Values

### UNTERM_QUOTE

    public static final int UNTERM_QUOTE

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final String[] tokenImage